Subject: [bug#49339] [PATCH core-updates] gnu: mesa: Update to 21.1.4.

From: John Kehayias <[email-masked]>
Date: Tue, 13 Jul 2021 16:26:26 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Tuesday, July 13th, 2021 at 11:42 AM, John Kehayias <[email-masked]> wrote:

> Hi everyone,
>
> Final update, we still need the mesa-skip-tests.patch, but only for the i686 part (second half). The other part of the patch is not needed as the test passes.
>
> Here is the final version of the patch to just update Mesa to 21.1.4. Note this depends on the libdrm update of https://issues.guix.gnu.org/49412 Mesa builds as well as descendants I've tried (like xorg and friends).
>
> Shall we get this merged and set the libglvnd updates after (in case we run into the core-updates freeze)? That would work well for me at least.
>
> Thanks everyone,
>
> John

I forgot the copyright line, though I think this should be for Irfan. Here is mine, just in case:

diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
index cc5131b28d..f9b6ed9891 100644
--- a/gnu/packages/gl.scm
+++ b/gnu/packages/gl.scm
@@ -15,6 +15,7 @@
 ;;; Copyright © 2020 Giacomo Leidi <[email-masked]>
 ;;; Copyright © 2020 Maxim Cournoyer <[email-masked]>
 ;;; Copyright © 2020 Kei Kebreau <[email-masked]>
+;;; Copyright © 2021 John Kehayias <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;